## wxhexeditor 0.22+repack

=== Makefile ===
WXCONFIG = wx-config
CC = `$(WXCONFIG) --cc`
CXX = `$(WXCONFIG) --cxx`
CFLAGS = -O2
CXXFLAGS = -O2
WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -Iudis86 -Imhash/include -MMD -O2 -c ${OPTFLAGS}
WXLDFLAGS = `$(WXCONFIG) --libs`
RC = `$(WXCONFIG) --rescomp`
#RC = x86_64-w64-mingw32-windres --define WX_CPU_AMD64
RCFLAGS = `$(WXCONFIG) --cxxflags | sed s/' '-m.*//g;`
MSGFMT = msgfmt

HOST=
SOURCES= src/HexEditorGui.cpp \
			src/FAL.cpp\
			src/HexDialogs.cpp\
			src/HexPanels.cpp\
			src/HexEditorApp.cpp\
			src/HexEditor.cpp\
			src/HexEditorCtrl/HexEditorCtrl.cpp\
			src/HexEditorCtrl/wxHexCtrl/TagDialogGui.cpp\
			src/HexEditorCtrl/wxHexCtrl/wxHexCtrl.cpp\
			src/HexEditorCtrl/wxHexCtrl/Tag.cpp\
			src/HexEditorCtrl/HexEditorCtrlGui.cpp\
			src/HexEditorFrame.cpp
LIBS = udis86/libudis86/.libs/libudis86.a mhash/lib/.libs/libmhash.a
OBJECTS=$(SOURCES:.cpp=.o)
DEPENDS=$(OBJECTS:.o=.d)
LANGUAGEDIRS=tr ru
LANGUAGES=$(wildcard locale/*/wxHexEditor.po)
RESOURCES= resources/resource.rc
RESOURCE_OBJ=$(RESOURCES:.rc=.o)
EXECUTABLE=wxHexEditor
EXECUTABLE_WIN=$(EXECUTABLE).exe
EXECUTABLE_DIR_MAC=$(EXECUTABLE).app

PREFIX      = /usr/local
BINDIR      = $(PREFIX)/bin
DATADIR     = $(PREFIX)/share
LOCALEDIR   = $(DATADIR)/locale

VERSION = 0.22 Beta

all:$(EXECUTABLE) langs

$(OBJECTS): $(LIBS) $(SOURCES)

MOBJECTS=$(LANGUAGES:.po=.mo)

$(EXECUTABLE): $(OBJECTS)
	$(CXX) $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) ${LDFLAGS} -lgomp -o $@

.cpp.o: $(LIBS)
	$(CXX) $(WXCXXFLAGS) ${CXXFLAGS} $< -o $@

%.o : %.rc
	$(RC) $(RCFLAGS) $< -o $@

langs: $(MOBJECTS)

%.mo : %.po
	$(MSGFMT) $< -o $@

udis86/libudis86/.libs/libudis86.a:
	cd udis86;./autogen.sh
	cd udis86;./configure --host=$(HOST) CC=$(CC) CXX=$(CXX) CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
	cd udis86/libudis86; $(MAKE) $(MFLAGS)

mhash/lib/.libs/libmhash.a:
	cd mhash; ./configure --host=$(HOST) CC=$(CC) CXX=$(CXX) CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
	cd mhash; $(MAKE) $(MFLAGS)

win: $(RESOURCES) $(EXECUTABLE_WIN)

#Stack override required for file comparison function...
$(EXECUTABLE_WIN): $(OBJECTS) $(RESOURCE_OBJ)
	$(CXX) $(OBJECTS) $(RESOURCE_OBJ) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) ${LDFLAGS} -static-libgcc -static-libstdc++ -Wl,--stack,32000000 -o $@

maclink: $(OBJECTS)
	$(CXX) $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) ${LDFLAGS} -lexpat -lgomp -Wl,-stack_size,0x2000000 -o $(EXECUTABLE)

mac: maclink langs
	mkdir -p $(EXECUTABLE_DIR_MAC)/Contents
	mkdir -p $(EXECUTABLE_DIR_MAC)/Contents/MacOS
	mkdir -p $(EXECUTABLE_DIR_MAC)/Contents/Resources
	install -m 755 wxHexEditor $(EXECUTABLE_DIR_MAC)/Contents/MacOS/
	install -m 644 resources/wxHexEditor.icns $(EXECUTABLE_DIR_MAC)/Contents/Resources/
	printf "APPLHexE" > $(EXECUTABLE_DIR_MAC)/Contents/PkgInfo
	printf "\
<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n\
<!DOCTYPE plist PUBLIC \"-//Apple Computer//DTD PLIST 1.0//EN\" \"http://www.apple.com/DTDs/PropertyList-1.0.dtd\">\n\
<plist version=\"1.0\">\n\
<dict>\n\
\t<key>CFBundleDevelopmentRegion</key>\n\
\t<string>English</string>\n\
\
\t<key>CFBundleExecutable</key>\n\
\t<string>wxHexEditor</string>\n\
\
\t<key>CFBundleGetInfoString</key>\n\
\t<string>wxHexEditor v$(VERSION)</string>\n\
\
\t<key>CFBundleIconFile</key>\n\
\t<string>wxHexEditor.icns</string>\n\
\
\t<key>CFBundleIdentifier</key>\n\
\t<string>net.sourceforge.wxhexeditor</string>\n\
\
\t<key>CFBundleShortVersionString</key>\n\
\t<string>v$(VERSION)</string>\n\
\
\t<key>CFBundleInfoDictionaryVersion</key>\n\
\t<string>6.0</string>\n\
\
\t<key>CFBundleName</key>\n\
\t<string>wxHexEditor</string>\n\
\
\t<key>CFBundlePackageType</key>\n\
\t<string>APPL</string>\n\
\
\t<key>CFBundleSignature</key>\n\
\t<string>HexE</string>\n\
\
\t<key>CFBundleVersion</key>\n\
\t<string>1.0.0</string>\n\
\
\t<key>DRURLs</key>\n\
\t<string>http://wxhexeditor.sourceforge.net</string>\n\
\
\t<key>NSMainNibFile</key>\n\
\t<string>wxHexEditor</string>\n\
\
\t<key>NSPrincipalClass</key>\n\
\t<string>NSApplication</string>\n\
\
\t<key>NSHumanReadableCopyright</key>\n\
\t<string> (c) 2006-2011, Erdem U. Altinyurt</string>\n\
\
</dict>\n\
</plist>\n\n" > $(EXECUTABLE_DIR_MAC)/Contents/Info.plist
	@for i in $(LANGUAGEDIRS); do \
		echo "mkdir -p wxHexEditor.app/Contents/Resources/locale/$$i/"; \
		mkdir -p wxHexEditor.app/Contents/Resources/locale/$$i; done
	@for i in $(LANGUAGEDIRS); do \
		echo "cp locale/$$i/wxHexEditor.mo wxHexEditor.app/Contents/Resources/locale/$$i/"; \
		cp locale/$$i/wxHexEditor.mo wxHexEditor.app/Contents/Resources/locale/$$i/; done

install:
	install -D -m 755 $(EXECUTABLE) $(DESTDIR)/$(BINDIR)/$(EXECUTABLE)
	install -D -m 644 resources/wxHexEditor.png $(DESTDIR)/$(DATADIR)/pixmaps/wxHexEditor.png
	install -D -m 644 resources/wxHexEditor.desktop $(DESTDIR)/$(DATADIR)/applications/wxHexEditor.desktop
	@for i in $(LANGUAGEDIRS); do \
	   echo "install -D -m 644 locale/$$i/wxHexEditor.mo $(DESTDIR)/$(LOCALEDIR)/$$i/LC_MESSAGES/wxHexEditor.mo"; \
	   install -D -m 644 locale/$$i/wxHexEditor.mo $(DESTDIR)/$(LOCALEDIR)/$$i/LC_MESSAGES/wxHexEditor.mo; done

uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/$(EXECUTABLE)
	rm -f $(DESTDIR)/$(DATADIR)/pixmaps/wxHexEditor.png
	rm -f $(DESTDIR)/$(DATADIR)/applications/wxHexEditor.desktop
	rm -f $(DESTDIR)/$(LOCALEDIR)/*/LC_MESSAGES/wxHexEditor.mo

clean:
	rm -f $(OBJECTS)
	rm -f $(RESOURCE_OBJ)
	rm -f $(DEPENDS)
	rm -f $(EXECUTABLE)
	rm -f $(EXECUTABLE_WIN)
	rm -rf $(EXECUTABLE_DIR_MAC)
	rm -f locale/*/wxHexEditor.mo
distclean: clean
	cd udis86;$(MAKE) distclean
	cd mhash;$(MAKE) distclean

# include the auto-generated dependency files
-include $(DEPENDS)

=== debian/changelog ===
wxhexeditor (0.22+repack-2) unstable; urgency=low

  * Apply patch from upstream bug tracker fixing hex input.
  * Fix some more typos.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 29 Dec 2013 13:43:15 +0100

wxhexeditor (0.22+repack-1) unstable; urgency=low

  * First upload to Debian based on getdeb.net package
    by Christoph Korn.
  * New upstream release.
  * Repacked the upstream tarball to remove embedded copies of
    libudis86 and libmhash.
  * Port to libdisasm as libudis86 isn't yet packaged for Debian.
  * Don't link against gomp.
  * Use hardening flags.
  * Build with --as-needed to easily avoid linking against unused libraries.
  * Fix typos in the messages.
  * Remove incomplete Russian translation unsuitable for release.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 11 May 2013 18:07:44 +0200

=== debian/control ===
Source: wxhexeditor
Section: editors
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), wx2.8-headers,
 libwxbase2.8-dev, libwxgtk2.8-dev, wx-common,
 libmhash-dev, libdisasm-dev
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/wxhexeditor

Package: wxhexeditor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: hexadecimal editor for massive files
 wxHexEditor is a hexadecimal file editor suitable
 for editing very big files. Supported file size
 is up to 2^64 bytes.

## wxhexeditor 0.23+repack

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 WXCONFIG = wx-config
+#CC ?= `$(WXCONFIG) --cc`    #this doesn't look working here properly :(
+#CXX ?= `$(WXCONFIG) --cxx`
 CC = `$(WXCONFIG) --cc`
 CXX = `$(WXCONFIG) --cxx`
-CFLAGS = -O2
-CXXFLAGS = -O2
-WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -Iudis86 -Imhash/include -MMD -O2 -c ${OPTFLAGS}
-WXLDFLAGS = `$(WXCONFIG) --libs`
+LDFLAGS += -lgomp
+#add this ldflags for WinConsole  "-Wl,--subsystem,console -mconsole" for win-debug
+WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -Iudis86 -Imhash/include -MMD -fopenmp
+WXLDFLAGS = `$(WXCONFIG) --libs` `$(WXCONFIG) --libs aui` `$(WXCONFIG) --libs core`
 RC = `$(WXCONFIG) --rescomp`
 #RC = x86_64-w64-mingw32-windres --define WX_CPU_AMD64
 RCFLAGS = `$(WXCONFIG) --cxxflags | sed s/' '-m.*//g;`
@@ -26,7 +28,7 @@
 LIBS = udis86/libudis86/.libs/libudis86.a mhash/lib/.libs/libmhash.a
 OBJECTS=$(SOURCES:.cpp=.o)
 DEPENDS=$(OBJECTS:.o=.d)
-LANGUAGEDIRS=tr ru
+LANGUAGEDIRS=`ls -l ./locale | grep ^d | sed s/.*\ //g;`
 LANGUAGES=$(wildcard locale/*/wxHexEditor.po)
 RESOURCES= resources/resource.rc
 RESOURCE_OBJ=$(RESOURCES:.rc=.o)
@@ -39,7 +41,7 @@
 DATADIR     = $(PREFIX)/share
 LOCALEDIR   = $(DATADIR)/locale
 
-VERSION = 0.22 Beta
+VERSION = 0.23 Beta
 
 all:$(EXECUTABLE) langs
 
@@ -48,10 +50,10 @@
 MOBJECTS=$(LANGUAGES:.po=.mo)
 
 $(EXECUTABLE): $(OBJECTS)
-	$(CXX) $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) ${LDFLAGS} -lgomp -o $@
+	$(CXX) ${LDFLAGS} $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -o $@
 
 .cpp.o: $(LIBS)
-	$(CXX) $(WXCXXFLAGS) ${CXXFLAGS} $< -o $@
+	$(CXX) -c $(WXCXXFLAGS) $(OPTFLAGS) $(CXXFLAGS) $(CPPFLAGS) $< -o $@
 
 %.o : %.rc
 	$(RC) $(RCFLAGS) $< -o $@
@@ -63,27 +65,29 @@
 
 udis86/libudis86/.libs/libudis86.a:
 	cd udis86;./autogen.sh
-	cd udis86;./configure --host=$(HOST) CC=$(CC) CXX=$(CXX) CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+	cd udis86;./configure --host=$(HOST) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)"
 	cd udis86/libudis86; $(MAKE) $(MFLAGS)
 
 mhash/lib/.libs/libmhash.a:
-	cd mhash; ./configure --host=$(HOST) CC=$(CC) CXX=$(CXX) CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}"
+	cd mhash; ./configure --host=$(HOST) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)"
 	cd mhash; $(MAKE) $(MFLAGS)
 
 win: $(RESOURCES) $(EXECUTABLE_WIN)
 
 #Stack override required for file comparison function...
 $(EXECUTABLE_WIN): $(OBJECTS) $(RESOURCE_OBJ)
-	$(CXX) $(OBJECTS) $(RESOURCE_OBJ) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) ${LDFLAGS} -static-libgcc -static-libstdc++ -Wl,--stack,32000000 -o $@
+	$(CXX) $(OBJECTS) $(RESOURCE_OBJ) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -static ${LDFLAGS} -lpthread -static-libgcc -static-libstdc++ -Wl,--stack,32000000 -o $@
 
 maclink: $(OBJECTS)
-	$(CXX) $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) ${LDFLAGS} -lexpat -lgomp -Wl,-stack_size,0x2000000 -o $(EXECUTABLE)
+	$(CXX) ${LDFLAGS} $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -lexpat -Wl,-stack_size,0x2000000 -o $(EXECUTABLE)
 
-mac: maclink langs
+mac: prepmacdir maclink
+	install -m 755 wxHexEditor $(EXECUTABLE_DIR_MAC)/Contents/MacOS/
+
+prepmacdir: langs
 	mkdir -p $(EXECUTABLE_DIR_MAC)/Contents
 	mkdir -p $(EXECUTABLE_DIR_MAC)/Contents/MacOS
 	mkdir -p $(EXECUTABLE_DIR_MAC)/Contents/Resources
-	install -m 755 wxHexEditor $(EXECUTABLE_DIR_MAC)/Contents/MacOS/
 	install -m 644 resources/wxHexEditor.icns $(EXECUTABLE_DIR_MAC)/Contents/Resources/
 	printf "APPLHexE" > $(EXECUTABLE_DIR_MAC)/Contents/PkgInfo
 	printf "\
@@ -104,7 +108,7 @@
 \t<string>wxHexEditor.icns</string>\n\
 \
 \t<key>CFBundleIdentifier</key>\n\
-\t<string>net.sourceforge.wxhexeditor</string>\n\
+\t<string>org.wxhexeditor.www</string>\n\
 \
 \t<key>CFBundleShortVersionString</key>\n\
 \t<string>v$(VERSION)</string>\n\
@@ -125,7 +129,7 @@
 \t<string>1.0.0</string>\n\
 \
 \t<key>DRURLs</key>\n\
-\t<string>http://wxhexeditor.sourceforge.net</string>\n\
+\t<string>http://www.wxhexeditor.org</string>\n\
 \
 \t<key>NSMainNibFile</key>\n\
 \t<string>wxHexEditor</string>\n\
@@ -139,11 +143,11 @@
 </dict>\n\
 </plist>\n\n" > $(EXECUTABLE_DIR_MAC)/Contents/Info.plist
 	@for i in $(LANGUAGEDIRS); do \
-		echo "mkdir -p wxHexEditor.app/Contents/Resources/locale/$$i/"; \
-		mkdir -p wxHexEditor.app/Contents/Resources/locale/$$i; done
+		echo "mkdir -p $(EXECUTABLE_DIR_MAC)p/Contents/Resources/locale/$$i/"; \
+		mkdir -p $(EXECUTABLE_DIR_MAC)/Contents/Resources/locale/$$i; done
 	@for i in $(LANGUAGEDIRS); do \
-		echo "cp locale/$$i/wxHexEditor.mo wxHexEditor.app/Contents/Resources/locale/$$i/"; \
-		cp locale/$$i/wxHexEditor.mo wxHexEditor.app/Contents/Resources/locale/$$i/; done
+		echo "cp locale/$$i/wxHexEditor.mo $(EXECUTABLE_DIR_MAC)/Contents/Resources/locale/$$i/"; \
+		cp locale/$$i/wxHexEditor.mo $(EXECUTABLE_DIR_MAC)/Contents/Resources/locale/$$i/; done
 
 install:
 	install -D -m 755 $(EXECUTABLE) $(DESTDIR)/$(BINDIR)/$(EXECUTABLE)

=== debian/changelog ===
wxhexeditor (0.23+repack-3) unstable; urgency=medium

  [ Juhani Numminen ]
  * Fix FTBFS with GCC-7 due to an ambiguous call to abs() (Closes: #853708).

  [ Andy Whitcroft ]
  * Reorder the link arguments to avoid FTBFS against libgomp.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 14 Sep 2018 18:27:02 +0200

wxhexeditor (0.23+repack-2) unstable; urgency=medium

  * Merge wxWidgets 3.0 changes from NMUs by Olly Betts.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 10 Jun 2015 08:30:31 +0200

wxhexeditor (0.23+repack-1) unstable; urgency=medium

  * New upstream release.
  * Remove new upstream version check (Closes: #785248).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 10 Jun 2015 06:41:05 +0200

wxhexeditor (0.22+repack-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix to build on arm* (new patch 11-wx3.0-fix-ftbfs-on-arm.patch).

 -- Olly Betts <olly@survex.com>  Mon, 14 Apr 2014 09:46:27 +1200

wxhexeditor (0.22+repack-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0.

 -- Olly Betts <olly@survex.com>  Thu, 10 Apr 2014 13:40:16 +1200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: wxhexeditor
 Section: editors
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9), wx2.8-headers,
- libwxbase2.8-dev, libwxgtk2.8-dev, wx-common,
+Maintainer: Andrej Shadura <andrewsh@debian.org>
+Build-Depends: debhelper (>= 9),
+ libwxgtk3.0-dev,
  libmhash-dev, libdisasm-dev
 Standards-Version: 3.9.4
 Homepage: http://sourceforge.net/projects/wxhexeditor

=== debian/watch ===
version=3
http://sf.net/wxhexeditor/wxHexEditor-v([\d.]+)-src\.tar\.bz2

## wxhexeditor 0.24%2Brepack

=== debian/changelog ===
wxhexeditor (0.24+repack-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (Closes: #893710).
  * Refresh patches.

  [ Ondřej Nový ]
  * d/control: Add Vcs-* field.
  * d/watch: Use https protocol.

  [ Helmut Grohne ]
  * Fix makefile dependencies for cross building (Closes: #909686).

  [ Andrej Shadura ]
  * Switch to the wxWidgets GTK 3 package (Closes: #933432).
  * Update debian/watch to point to the GitHub upstream.
  * Convert debian/copyright to the machine-readable format.
    - Add file exclusion patterns for mhash and udis86.
  * Refresh the rest of patches.
  * Don’t build with an explicit -O2 and NDEBUG.
  * Use dh compat level 12.
  * Bump Standards-Version to 4.4.0.
  * Update the Homepage.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 27 Aug 2019 18:47:37 +0200

## wxhexeditor 0.24+repack

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,15 @@
-WXCONFIG = wx-config
-#CC ?= `$(WXCONFIG) --cc`    #this doesn't look working here properly :(
-#CXX ?= `$(WXCONFIG) --cxx`
-CC = `$(WXCONFIG) --cc`
-CXX = `$(WXCONFIG) --cxx`
+WXCONFIG ?= wx-config
+HOST=
+WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -Iudis86 -Imhash/include -MMD -fopenmp -Wall -O2
+WXLDFLAGS = `$(WXCONFIG) --libs` `$(WXCONFIG) --libs aui` `$(WXCONFIG) --libs core`
+WXCXXFLAGS += -fopenmp
 LDFLAGS += -lgomp
 #add this ldflags for WinConsole  "-Wl,--subsystem,console -mconsole" for win-debug
-WXCXXFLAGS= `$(WXCONFIG) --cxxflags` -Iudis86 -Imhash/include -MMD -fopenmp
-WXLDFLAGS = `$(WXCONFIG) --libs` `$(WXCONFIG) --libs aui` `$(WXCONFIG) --libs core`
+#LDFLAGS += -Wl,--subsystem,console -mconsole
 RC = `$(WXCONFIG) --rescomp`
 #RC = x86_64-w64-mingw32-windres --define WX_CPU_AMD64
 RCFLAGS = `$(WXCONFIG) --cxxflags | sed s/' '-m.*//g;`
 MSGFMT = msgfmt
-
-HOST=
 SOURCES= src/HexEditorGui.cpp \
 			src/FAL.cpp\
 			src/HexDialogs.cpp\
@@ -36,12 +33,17 @@
 EXECUTABLE_WIN=$(EXECUTABLE).exe
 EXECUTABLE_DIR_MAC=$(EXECUTABLE).app
 
-PREFIX      = /usr/local
+PREFIX      = /usr
 BINDIR      = $(PREFIX)/bin
 DATADIR     = $(PREFIX)/share
 LOCALEDIR   = $(DATADIR)/locale
 
-VERSION = 0.23 Beta
+VERSION = 0.24 Beta
+
+.DEFAULT_GOAL := all
+
+clang: CXX=clang++ -D_Bool=bool -std=c++11 -lomp
+clang: all
 
 all:$(EXECUTABLE) langs
 
@@ -50,13 +52,16 @@
 MOBJECTS=$(LANGUAGES:.po=.mo)
 
 $(EXECUTABLE): $(OBJECTS)
-	$(CXX) ${LDFLAGS} $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -o $@
+	$(CXX) $(OBJECTS) ${LDFLAGS} $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -o $@
 
 .cpp.o: $(LIBS)
 	$(CXX) -c $(WXCXXFLAGS) $(OPTFLAGS) $(CXXFLAGS) $(CPPFLAGS) $< -o $@
 
 %.o : %.rc
 	$(RC) $(RCFLAGS) $< -o $@
+
+langsup:
+	tx pull
 
 langs: $(MOBJECTS)
 
@@ -65,21 +70,35 @@
 
 udis86/libudis86/.libs/libudis86.a:
 	cd udis86;./autogen.sh
-	cd udis86;./configure --host=$(HOST) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)"
+	cd udis86;./configure --host=$(HOST) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS) ${OPTFLAGS}" CXXFLAGS="$(CXXFLAGS) ${OPTFLAGS}" CPPFLAGS="$(CPPFLAGS)"
 	cd udis86/libudis86; $(MAKE) $(MFLAGS)
 
 mhash/lib/.libs/libmhash.a:
-	cd mhash; ./configure --host=$(HOST) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)"
+	cd mhash; ./configure --host=$(HOST) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS) ${OPTFLAGS}" CXXFLAGS="$(CXXFLAGS) ${OPTFLAGS}" CPPFLAGS="$(CPPFLAGS)"
 	cd mhash; $(MAKE) $(MFLAGS)
 
-win: $(RESOURCES) $(EXECUTABLE_WIN)
+src/windrv.o:
+	$(CXX) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXCXXFLAGS) $(WXLDFLAGS) ${LDFLAGS} -c src/windrv.cpp -o src/windrv.o
+
+win_debug: LDFLAGS += -Wl,--subsystem,console -mconsole
+win_debug: win
+
+host_test:
+ifeq ($(HOST),)
+		echo "Cross-Compiling host NOT detected."
+else
+CC = $(shell echo `$(WXCONFIG) --cc`)
+CXX = $(shell echo `$(WXCONFIG) --cxx`)
+endif
+
+win: host_test $(RESOURCES) $(EXECUTABLE_WIN)
 
 #Stack override required for file comparison function...
-$(EXECUTABLE_WIN): $(OBJECTS) $(RESOURCE_OBJ)
-	$(CXX) $(OBJECTS) $(RESOURCE_OBJ) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -static ${LDFLAGS} -lpthread -static-libgcc -static-libstdc++ -Wl,--stack,32000000 -o $@
+$(EXECUTABLE_WIN): $(OBJECTS) $(RESOURCE_OBJ) src/windrv.o
+	$(CXX) $(OBJECTS) src/windrv.o $(RESOURCE_OBJ) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -static ${LDFLAGS} -lpthread -static-libgcc -static-libstdc++ -Wl,--stack,32000000 -o $@
 
 maclink: $(OBJECTS)
-	$(CXX) ${LDFLAGS} $(OBJECTS) $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -lexpat -Wl,-stack_size,0x2000000 -o $(EXECUTABLE)
+	$(CXX) $(OBJECTS) ${LDFLAGS} $(LIBS) ${CXXFLAGS} ${OPTFLAGS} $(WXLDFLAGS) -lexpat -Wl,-stack_size,0x2000000 -o $(EXECUTABLE)
 
 mac: prepmacdir maclink
 	install -m 755 wxHexEditor $(EXECUTABLE_DIR_MAC)/Contents/MacOS/
@@ -168,6 +187,7 @@
 	rm -f $(RESOURCE_OBJ)
 	rm -f $(DEPENDS)
 	rm -f $(EXECUTABLE)
+	rm -f src/windrv.o
 	rm -f $(EXECUTABLE_WIN)
 	rm -rf $(EXECUTABLE_DIR_MAC)
 	rm -f locale/*/wxHexEditor.mo

=== debian/changelog ===
wxhexeditor (0.24+repack-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Name, Repository.
  * Update standards version to 4.6.0, no changes needed.

  [ Scott Talbert ]
  * Transition to wxWidgets 3.2 (Closes: #1019812)

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 21 Dec 2022 10:14:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Section: editors
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9),
- libwxgtk3.0-dev,
- libmhash-dev, libdisasm-dev
-Standards-Version: 3.9.4
-Homepage: http://sourceforge.net/projects/wxhexeditor
+Build-Depends:
+ debhelper-compat (= 13),
+ libwxgtk3.2-dev,
+ libmhash-dev,
+ libdisasm-dev
+Standards-Version: 4.6.0
+Homepage: https://github.com/EUA/wxHexEditor
+Vcs-Browser: https://salsa.debian.org/debian/wxhexeditor
+Vcs-Git: https://salsa.debian.org/debian/wxhexeditor.git
 
 Package: wxhexeditor
 Architecture: any

=== debian/watch ===
version=4
https://sf.net/wxhexeditor/wxHexEditor-v([\d.]+)-src\.tar\.bz2

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/wxhexeditor-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/,repack,repacksuffix=+repack,dversionmangle=s/\+repack$//  \
  https://github.com/EUA/wxHexEditor/releases .*/archive/v(\d[^\s\-]*)\.tar\.gz
